Skip to main content
POST
Analyze an account

Authorizations

Authorization
string
header
required

An API key: abacus_sk_test_... (sandbox, from POST /v1/keys) or abacus_sk_live_... (from https://app.abacuslabs.ai)

Headers

Idempotency-Key
string | null

optional: any unique string (a UUID). A retry with the same key and body within 24 hours returns the stored answer with Idempotent-Replayed: true and is not charged again; the same key with a different body is 409 idempotency_key_reused

Body

application/json
account
Account · object | null
account_id
string | null
snapshot_id
string | null
accounts
Accounts · object[] | null
as_of
string | null
benchmark
question
string | null
save
boolean
default:false
effort
enum<string>
default:standard
Available options:
quick,
standard,
deep
max_credits
integer | null

Response

Successful Response